#if !defined(AFX_CONFIGUREPANELHG_H__E332BC0B_9E37_467C_A08C_B6294C750CCF__INCLUDED_)
#define AFX_CONFIGUREPANELHG_H__E332BC0B_9E37_467C_A08C_B6294C750CCF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ConfigurePanelHG.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CConfigurePanelHG dialog

class CConfigurePanelHG : public CDialog
{
// Construction
public:
	CConfigurePanelHG(CWnd* pParent = NULL);   // standard constructor
	CConfigurePanelHG(IApplication *pApp);

// Dialog Data
	//{{AFX_DATA(CConfigurePanelHG)
	enum { IDD = IDD_CONFIGPANELHG };
	CListBox	m_InPanelHGlist;
	CListBox	m_AvailHGList;
	CComboBox	m_PanelList;
	CComboBox	m_AccountList;
	CString	m_AccountName;
	CString	m_sPanelName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConfigurePanelHG)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CConfigurePanelHG)
	afx_msg void OnSelchangeCmbAcct();
	afx_msg void OnSelchangeCmbPanel();
	afx_msg void OnBtnConfigurePanelHG();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()


private:
	IApplicationPtr pApplication;

	void LoadAccounts();
	void LoadPanels();
	void LoadAvailableHGs();
	void LoadConfiguredHGs();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONFIGUREPANELHG_H__E332BC0B_9E37_467C_A08C_B6294C750CCF__INCLUDED_)
